// =====================================================================
//  $Id: Sw01SystemAction.hh,v 1.3 2004/06/24 15:19:43 goiwai Exp $
//  $Name: CLDAQ-1-14-03 $
//  $Log: Sw01SystemAction.hh,v $
//  Revision 1.3  2004/06/24 15:19:43  goiwai
//  SystemAction::Catch〜()を盛り込んだ。ログの出力がなんか２行にわかれてるが、とりあえず放置。
//
//  Revision 1.2  2004/03/04 15:11:55  goiwai
//  ほとんどが関数名変更にともなう更新です。
//
//  Revision 1.1  2004/03/01 09:48:30  goiwai
//  sw01の見映えを変更しただけです.
//  ほとんど内容は変りません.
//  無理矢理のイベントディスプレイを用意しました.
//
// =====================================================================
#ifndef CLDAQ__SW01SYSTEMACTION_HH
#define CLDAQ__SW01SYSTEMACTION_HH

#include "TSystemAction.hh"

class TRunManager;
class Sw01EventDisplay;

class Sw01SystemAction
  : public TSystemAction
{

  private:
    Sw01EventDisplay* theEventDisplay;

  public:
    Sw01SystemAction();
    ~Sw01SystemAction();

  public:
    Tvoid Boot( TRunManager* manager );
    Tvoid Shutdown( TRunManager* manager );

  public:
    Sw01EventDisplay* GetEventDisplay();

  public:
    Tvoid CatchStandardOut( Tstring message );
    Tvoid CatchStandardError( Tstring message );
    Tvoid CatchLog( Tstring message, Tint level );

};

inline Sw01EventDisplay* Sw01SystemAction::GetEventDisplay()
{
  return theEventDisplay;
}

#endif
